# Generated from email_reply_parser-0.5.10.gem by gem2rpm -*- rpm-spec -*-
%global gem_name email_reply_parser

Name: rubygem-%{gem_name}
Version: 0.5.10
Release: 1%{?dist}
Summary: EmailReplyParser is a small library to parse plain text email content
License: MIT
URL: http://github.com/github/email_reply_parser
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
EmailReplyParser is a small library to parse plain text email content. This is
what GitHub uses to display comments that were created from email replies.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/script
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/email_reply_parser.gemspec
%{gem_instdir}/test

%changelog
* Mon Aug 23 2021 mockbuilder - 0.5.10-1
- Initial package
